net.sf.jasperreports.components.headertoolbar.actions

## Class EditTextElementAction

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction
  - - net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction
    - - net.sf.jasperreports.components.headertoolbar.actions.EditTextElementAction

- All Implemented Interfaces:
    Action

      public class EditTextElementAction
      extends AbstractVerifiableTableAction

  Version:
    $Id: EditTextElementAction.java 6989 2014-03-27 11:38:48Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `AbstractAction.ActionErrors`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction

      `columnData, formatFactory, table, targetUri`

    - ### Fields inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `ERR_CONCAT_STRING, errors, PARAM_COMMAND_STACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditTextElementAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EditTextElementData` | `getEditTextElementData()`
    `void` | `performAction()`
    `void` | `setEditTextElementData(EditTextElementData editTextElementData)`
    `void` | `verify()`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction

      `getMessagesBundle, getTable, prepare, run`

    - ### Methods inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `createNumberFormat, getCommandStack, getCommandTarget, getCommandTarget, getJasperReportsContext, getReportContext, init, requiresRefill, setCommandStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditTextElementAction

          public EditTextElementAction()

  - ### Method Detail

    - #### setEditTextElementData

          public void setEditTextElementData(EditTextElementData editTextElementData)

    - #### getEditTextElementData

          public EditTextElementData getEditTextElementData()

    - #### performAction

          public void performAction()
                             throws ActionException

      Specified by:
        `performAction` in class `AbstractAction`
      Throws:
        `ActionException`

    - #### verify

          public void verify()
                      throws ActionException

      Specified by:
        `verify` in class `AbstractVerifiableTableAction`
      Throws:
        `ActionException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com